Package org.apache.sling.testing.clients.exceptions

# Class TestingSetupException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.sling.testing.clients.ClientException
org.apache.sling.testing.clients.exceptions.TestingSetupException

All Implemented Interfaces:
  `Serializable`

public class TestingSetupException extends ClientException
Use this exception to signal problems in the test setup, e.g. incorrect or missing parameters.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TestingSetupException(String message)`
`TestingSetupException(String message, int httpStatusCode)`
`TestingSetupException(String message, int httpStatusCode, Throwable throwable)`
`TestingSetupException(String message, Throwable throwable)`
`TestingSetupException(String message, Throwable throwable, org.apache.http.client.methods.HttpUriRequest request, SlingHttpResponse response)`

## Method Summary

### Methods inherited from class org.apache.sling.testing.clients.ClientException

`getHttpStatusCode, getMessage, getRequest, getResponse, setRequest, setResponse, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestingSetupException

public TestingSetupException(String message)

### TestingSetupException

public TestingSetupException(String message, Throwable throwable)

### TestingSetupException

public TestingSetupException(String message, int httpStatusCode)

### TestingSetupException

public TestingSetupException(String message, int httpStatusCode, Throwable throwable)

### TestingSetupException

public TestingSetupException(String message, Throwable throwable, org.apache.http.client.methods.HttpUriRequest request, SlingHttpResponse response)